import "./tasks/fastq_ncm.wdl" as fastq_ncm
import "./tasks/vaf_ncm.wdl" as vaf_ncm

workflow {{ project_name }} {
  
  String sample_id
  Array[File] fastq1
  Array[File] fastq2
  Array[String] output_id
  String subsampling_rate
  String docker
  String cluster_config
  String disk_size

  scatter (idx in range(length(output_id))) {
    call fastq_ncm.fastq_ncm as fastq_ncm {
      input:
      fq1=fastq1[idx],
      fq2=fastq2[idx],
      out_id=output_id[idx],
      subsampling_rate=subsampling_rate,
      docker=docker,
      disk_size=disk_size,
      cluster_config=cluster_config
    }
  }

  call vaf_ncm.vaf_ncm as vaf_ncm {
    input:
    vaf=fastq_ncm.vaf,
    docker=docker,
    disk_size=disk_size,
    cluster_config=cluster_config
  }
}
